curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_values": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type": "BANK_TRANSACTION"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tags"
payload = {
"key_values": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"entity_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"entity_type": "BANK_TRANSACTION"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key_values: [
{
key: 'department',
value: 'sales',
dimension_display_name: 'Department',
value_display_name: 'Sales Department'
}
],
entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
entity_type: 'BANK_TRANSACTION'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Tag entities
Tag entities of a specified type with custom tags. This generic endpoint allows tagging of any supported entity type. When tagging a BANK_ACCOUNT, the tags are automatically applied to all transactions and opening balances associated with that bank account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to tag entities for.
Body
List of key-value pairs used to create new tags.
Show child attributes
Show child attributes
The entity IDs to create each new tag for.
The type of entity to tag.
CUSTOMER, VENDOR, BANK_TRANSACTION, INVOICE, INVOICE_PAYMENT, INVOICE_PAYMENT_ALLOCATION, INVOICE_WRITE_OFF, BILL, BILL_PAYMENT, BILL_PAYMENT_ALLOCATION, MANUAL_JOURNAL_ENTRY, MANUAL_JOURNAL_ENTRY_LINE_ITEM, CLOSING_ACTION, CUSTOMER_PAYOUT, VENDOR_PAYOUT, PAYROLL, PAYROLL_PAYMENT, OPENING_BALANCE, CUSTOMER_REFUND, CUSTOMER_REFUND_PAYMENT, CUSTOMER_REFUND_ALLOCATION, CUSTOMER_REFUND_ALLOCATION_LINE_ITEM, VENDOR_REFUND, VENDOR_REFUND_PAYMENT, VENDOR_REFUND_ALLOCATION, VENDOR_REFUND_ALLOCATION_LINE_ITEM, LEDGER_ENTRY, QUICKBOOKS_LEDGER_ENTRY, VENDOR_CREDIT, CUSTOMER_CREDIT, INVOICE_LINE_ITEM, BILL_LINE_ITEM, VENDOR_CREDIT_LINE_ITEM, CUSTOMER_CREDIT_LINE_ITEM, BANK_ACCOUNT "BANK_TRANSACTION"
Response
Tags successfully created.
Contains a collection of tags as defined by the ApiTag schema. This structure is used to encapsulate multiple tags in API responses or requests.
Show child attributes
Show child attributes